#ifndef BASE_GUI_H
#define BASE_GUI_H

#include "client/input/Controller.h"
#include "client/rendering/Renderer.h"
#include "client/rendering/ShaderMatrix.h"
#include "gaming-core/input/TextInput.h"
#include "gaming-core/utils/Size.h"

class BaseGUI final {
    const Size& size;
    TextInput& textInput;
    const Controller& controller;

public:
    BaseGUI(const Size& size, TextInput& textInput,
            const Controller& controller);

    void render(float lag, ShaderMatrix& sm, Renderer& r);
};

#endif