#ifndef RENDERER_H
#define RENDERER_H

#include "gaming-core/rendering/FileTexture.h"
#include "gaming-core/rendering/VertexBuffer.h"
#include "gaming-core/utils/Buffer.h"
#include "gaming-core/utils/Color.h"

class Renderer final {
    VertexBuffer vertexBuffer;
    Buffer buffer;
    FileTexture font;

public:
    Renderer();

    void drawString(float x, float y, const char* text);
    void drawRectangle(float x, float y, float width, float height, Color4 c);

private:
    void update();
};

#endif